
from vininfo.utils import merge_wmi
from vininfo.dicts import WMI

new_wmis = {
    'VR3': 'Peugeot',
    'LVA': 'Foton',
    'LVB': 'Foton',
    'LVC': 'Foton',
    'LRD': 'Foton',
    'MP5': 'Foton',
    
}



# merge_wmi(wmi)

new_keys, wmi_source_code = merge_wmi(new_wmis)

print("New keys added:", new_keys)
print("\nUpdated WMI dictionary source code:\n", wmi_source_code)